package com.inspect.mqtt;

import org.eclipse.paho.client.mqttv3.MqttCallback;

public interface IMQTTUtil {
    Long getId();

    void subscribe(String[] topicFilters, int[] qos);

    void connect(String broker, String clientId, String userName, String password, MqttCallback callback);

    void disconnect();

    void publish2(int qos, String pubTopic, String content);

    boolean publish(int qos, String pubTopic, String content);

    void mqttUtil();
}
